Bug Hunting Session
Bug 35539 - Incorrectly the FILTER if division on 0 is used
Summary: Incorrectly the FILTER if division on 0 is used
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.3.1 release
Hardware: Other All
: medium normal
Assignee: Kohei Yoshida
URL:
Whiteboard: target:3.5
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-22 05:10 UTC by skoltogyan
Modified: 2011-12-12 11:24 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description skoltogyan 2011-03-22 05:10:05 UTC
1. Create new Spreadsheet
2. add 3 ROWs and Columns:

B1 = 100
B2 = 2
B3 = 3

C1= 2
C2 = 5
C3 = 0

D1=( =(B1/C1) )
D2=( =(B2/C2) )
D3=( =(B3/C3) )

3.  For  "D" create Filter with:
Column D < 5
AND YOUR WILL BE SEE 2 ROW !!!
ROW 2 and     ROW 3(with division on 0 !!!!) <------THIS IS ERROR !!
MAST BE ONLY ONE STRING - ROW2 (where B2 / C2 )  !!!!

In the MS Excel this is work ok.. without this error...
Comment 1 Yifan Jiang 2011-05-26 03:37:19 UTC
Reproduced on 3.4 rc1.

Kohei, is it an easy hack? :) Thanks!
Comment 2 Yifan Jiang 2011-05-26 03:40:03 UTC
downgrade the severity to a normal bug. Please specify a reason if it should be considered as critical.
Comment 3 Kohei Yoshida 2011-05-26 05:57:30 UTC
Nah I'll take it.
Comment 4 Kohei Yoshida 2011-12-12 11:24:56 UTC
Fixed on master

http://cgit.freedesktop.org/libreoffice/core/commit/?id=99977d7864f632a6fd74d3e0490f545905ac4b96

and cherry-picked to the libreoffice-3-5 branch.

The fix will be in beta2, not beta1.